aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/testenv.sh
diff options
context:
space:
mode:
authorGravatar Kristina Chodorow <kchodorow@google.com>2016-04-19 13:55:24 +0000
committerGravatar Damien Martin-Guillerez <dmarting@google.com>2016-04-20 11:12:35 +0000
commit857cda2c45a5cc68c3fa398311c48c571a64915d (patch)
tree8a2ad9cd0c92752b1b6105c27d9995dcaf3d24a4 /scripts/testenv.sh
parent0b26f446f8312d1c43d162fe706467ef458c4db8 (diff)
Move the runfiles for external repositories to under the x.runfiles/ directory
This also sets the Bazel workspace name to io_bazel_source. Fixes #848. Relevant to #1116, #1124, RELNOTES[INC]: All repositories are now directly under the x.runfiles directory in the runfiles tree (previously, external repositories were at x.runfiles/main-repo/external/other-repo. This simplifies handling remote repository runfiles considerably, but will break existing references to external repository runfiles. --- Furthermore, if a Bazel project does not provide a workspace name in the WORKSPACE file, Bazel will now default to using __main__ as the workspace name (instead of "", as previously). The repository's runfiles will appear under x.runfiles/__main__/. -- MOS_MIGRATED_REVID=120224534
Diffstat (limited to 'scripts/testenv.sh')
-rwxr-xr-xscripts/testenv.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/testenv.sh b/scripts/testenv.sh
index c45ee6a5e5..25fa4ebfd7 100755
--- a/scripts/testenv.sh
+++ b/scripts/testenv.sh
@@ -19,8 +19,8 @@
[ -z "$TEST_SRCDIR" ] && { echo "TEST_SRCDIR not set!" >&2; exit 1; }
# Load the unit-testing framework
-source "${TEST_SRCDIR}/src/test/shell/unittest.bash" || \
- { echo "Failed to source unittest.bash" >&2; exit 1; }
+source "${TEST_SRCDIR}/io_bazel/src/test/shell/unittest.bash" \
+ || { echo "Failed to source unittest.bash" >&2; exit 1; }
set_up() {
mkdir -p $TEST_TMPDIR/workspace